Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

C#
Visual Basic
Visual C++

Berkeley DB .NET API Documentation
RecnoDatabase..::.Open Method (String, RecnoDatabaseConfig)
RecnoDatabase Class See Also

Instantiate a new RecnoDatabase object and open the database represented by Filename.

Namespace: BerkeleyDB
Assembly: libdb_dotnet48 (in libdb_dotnet48.dll) Version: 4.8.24.0

# Syntax

C#
    public static RecnoDatabase Open(
    	string Filename,
    	RecnoDatabaseConfig cfg
    )

Visual Basic (Declaration)
    Public Shared Function Open ( _
    	Filename As String, _
    	cfg As RecnoDatabaseConfig _
    ) As RecnoDatabase

Visual C++
    public:
    static RecnoDatabase^ Open(
    	String^ Filename,
    	RecnoDatabaseConfig^ cfg
    )

#### Parameters

Filename
  Type: System..::.String
  The name of an underlying file that will be used to back the database. In-memory databases never intended to be preserved on disk may be created by setting this parameter to null.

cfg
  Type: BerkeleyDB..::.RecnoDatabaseConfig
  The database's configuration

#### Return Value

A new, open database object

# Remarks

If Filename is null, the database is strictly temporary and cannot be opened by any other thread of control, thus the database can only be accessed by sharing the single database object that created it, in circumstances where doing so is safe.

If AutoCommit is set, the operation will be implicitly transaction protected. Note that transactionally protected operations on a datbase object requires the object itself be transactionally protected during its open.

# See Also

RecnoDatabase Class
Open Overload
BerkeleyDB Namespace